<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:tns="http://www.ibm.com/websphere/sibx/smo/v6.0.1"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    exclude-result-prefixes="xalan tns xsi">
<xsl:output method="xml" encoding="UTF-8" indent="yes" xalan:indent-amount="2"/>
<xsl:strip-space elements="*"/>


  <!--======================================================================-->
  <!-- This file contains an XSLT transformation stylesheet which           -->
  <!-- constructs a result tree from a number of XML sources by filtering   -->
  <!-- reordering and adding arbitrary structure. This file is              -->
  <!-- automatically generated by the XML Mapper tool from IBM WebSphere    -->
  <!-- Studio Workbench.                                                    -->
  <!--======================================================================-->


  <!--======================================================================-->
  <!--                          The Root Element                            -->
  <!-- The "Root Element" section specifies which template will be          -->
  <!-- invoked first thus determining the root element of the result tree.  -->
  <!--======================================================================-->

  <xsl:template match="/">
    <xsl:apply-templates select="/tns:smo"/>
  </xsl:template>


  <!--======================================================================-->
  <!--                         Remaining Templates                          -->
  <!-- The remaining section defines the template rules. The last template  -->
  <!-- rule is a generic identity transformation used for moving complete   -->
  <!-- tree fragments from an input source to the result tree.              -->
  <!--======================================================================-->

  <!-- Newly-defined element template -->
  <xsl:template name="tns:smo">
    <tns:smo>
      <xsl:apply-templates select="context"/>
      <xsl:apply-templates select="headers"/>
      <xsl:apply-templates select="body"/>
    </tns:smo>
  </xsl:template>

  <!-- Composed element template -->
  <xsl:template match="correlation">
    <xsl:copy>
      <customerID>
        <xsl:value-of select="following::customerID/text()"/>
      </customerID>
    </xsl:copy>
  </xsl:template>

  <!-- Composed element template -->
  <xsl:template match="body">
    <xsl:copy>
      <xsl:call-template name="getStockQuote"/>
    </xsl:copy>
  </xsl:template>

  <!-- Newly-defined element template -->
  <xsl:template name="getStockQuote">
    <getStockQuote>
      <stockSymbol>
        <xsl:value-of select="getQuote/symbol/text()"/>
      </stockSymbol>
    </getStockQuote>
  </xsl:template>

  <!-- Identity transformation template -->
  <xsl:template match="*|@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>
